<?php

$strContractService = System::GetValue('contract_service',null,'string');
//$strRange = System::GetValue('range',null,'string');

$strPageId = System::GetValue('pageid',null,'string');
$strDepartmentId = System::GetValue('departmentId',null,'string');
$strActor = System::GetValue('actor',null,'string');


$objDepartment = HmisRefDepartment::LoadById($strDepartmentId);

$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);

$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');
$kategoriStok = $objGet->kategoriStok;
if($kategoriStok == 'semua'){
    $SQLtambahan= '';
}else if($kategoriStok == 'tersedia'){
    $SQLtambahan= " AND hmis_product_transaction_stock_information.saldo > 0";
}else if($kategoriStok == 'kosong'){
    $SQLtambahan= ' AND (hmis_product_transaction_stock_information.saldo = 0 OR hmis_product_transaction_stock_information.saldo IS NULL)';
}else if($kategoriStok == 'negatif'){
    $SQLtambahan= ' AND hmis_product_transaction_stock_information.saldo < 0';
}

$objDb = QApplication::$Database[1];
    // $strSQL = "
    //     SELECT hmis_product_transaction_stock.saldo_akhir, hmis_ref_product.*
    //     FROM hmis_product_transaction_stock
    //     LEFT JOIN hmis_ref_product
    //     ON hmis_product_transaction_stock.product_id = hmis_ref_product.id
    //     WHERE
    //     hmis_ref_product.state = 'A'
    //         AND (hmis_ref_product.nursing_class_id = 'OBAT'
    //           OR hmis_ref_product.nursing_class_id = 'ALKES'
    //           OR hmis_ref_product.nursing_class_id = 'BMHP'
    //           OR hmis_ref_product.product_filter = 'OBAT-ALKES'
    //         )
    //         AND hmis_product_transaction_stock.activity_department_id = '$strDepartmentId'
    //     ORDER BY hmis_product_transaction_stock.on_timeline DESC, hmis_product_transaction_stock.id ASC
    // ";
    $strSQL = "
        SELECT hmis_ref_product.*, hmis_product_transaction_stock_information.saldo, depo1.saldo AS depo_saldo1,
        depo2.saldo AS depo_saldo2
        FROM hmis_ref_product
        LEFT JOIN hmis_product_transaction_stock_information
        ON hmis_ref_product.id = hmis_product_transaction_stock_information.product_id
        and hmis_product_transaction_stock_information.owner_code = 'FAR'
        LEFT JOIN hmis_product_transaction_stock_information as depo1 
        ON hmis_ref_product.id = depo1.product_id
        and depo1.owner_code = 'INSTALASI FARMASI'
        LEFT JOIN hmis_product_transaction_stock_information as depo2 
        ON hmis_ref_product.id = depo2.product_id
        and depo2.owner_code = 'DEPOKOPERASI'

        WHERE
        hmis_ref_product.state = 'A'
            AND (hmis_ref_product.nursing_class_id = 'OBAT'
              OR hmis_ref_product.nursing_class_id = 'ALKES'
              OR hmis_ref_product.nursing_class_id = 'BMHP'
              OR hmis_ref_product.product_filter = 'OBAT-ALKES'
            )
            $SQLtambahan
        ORDER BY hmis_ref_product.product_name ASC
    ";
    //echo $strSQL;
    //exit;
    $objDbResult = $objDb->Query($strSQL);
?>
<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Laporan</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <!-- <link href="<?= __ASSETS__ ?>/bootstrap/css/bootstrap.min.css" rel="stylesheet"> -->
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <style>

.table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

.table td, .table th {
  border: 1px solid #ddd;
  padding: 8px;
}

.table tr:nth-child(even){background-color: #f2f2f2;}

.table tr:hover {background-color: #ddd;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #222;
  color: white;
}

    </style>

</head>

<body>
<div class="noprint">
    <a href="#" onclick="window.close()">
    <img src="/promedika/assets/user/images/arrow.jpg" title="print" width="30" height="30">
    </a>
</div>


<div class="container">

<br><br>
<button onclick="ubahExcel()">Export Excel</button>
<br><br>

<table id="tableLaporan" border=1>
    <thead>
    <TR><TH COLSPAN=12 ALIGN=LEFT><?= date('d-m-Y H:i') ?></TH></TR>
      <tr>
            <th colspan=6 >Laporan Stok Gudang Farmasi</th>
                        <th COLSPAN=3>Laporan Stok Depo Instalasi Farmasi</th>
<th COLSPAN=3>Laporan Stok Depo Koperasi</th>                        
      </tr>
     <!-- <tr>
            <th></th>
            <th >Tanggal:</th>
            <th colspan=17><?= date('d-m-Y H:i') ?></th>
      </tr>-->
      <tr>
        <th>No</th>
        <th>Kode</th>
        <th>Nama</th>
        <th>Nilai</th>
        <th>Jumlah</th>
        <th>Total</th>
        <th>Nilai</th>
        <th>Jumlah</th>
        <th>Total</th>
        <th>Nilai</th>
        <th>Jumlah</th>
        <th>Total</th>
      </tr>
    </thead>
    <tbody>
<?php
$nomorUrut = 1 ;
while ($row = $objDbResult->FetchArray()) {
    ?>
    
    <tr>
        <td><?= $nomorUrut ?></td> 
        <td><?= $row['product_code'] ?></td>
        <td><?= $row['product_name'] ?></td>
        <td style="text-align:right"><?= number_format ($row['price'], 2, '.',',') ?></td>
        <td style="text-align:right"><?= number_format ($row['saldo'], 0, '.',',') ?></td>
        <td style="text-align:right"><?= number_format (($row['saldo'] * $row['price']), 2, '.',',') ?></td>
        <td style="text-align:right"><?= number_format ($row['price'], 2, '.',',') ?></td>
        <td style="text-align:right"><?= number_format ($row['depo_saldo1'], 0, '.',',') ?></td>
        <td style="text-align:right"><?= number_format (($row['depo_saldo1'] * $row['price']), 2, '.',',') ?></td>
        <td style="text-align:right"><?= number_format ($row['price'], 2, '.',',') ?></td>
        <td style="text-align:right"><?= number_format ($row['depo_saldo2'], 0, '.',',') ?></td>
        <td style="text-align:right"><?= number_format (($row['depo_saldo2'] * $row['price']), 2, '.',',') ?></td>
    </tr>
    
    <?php
    $nomorUrut++;
    }
    ?>
</tbody>
</table>
</div>


<script src="<?= __ASSETS__ ?>/default/js/jquery-2.1.3.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/jquery.tableToExcel.js"></script>
<script>
function ubahExcel() {
    $('#tableLaporan').tblToExcel({
        complete: function () {
            // do something
            return true;
        }
    });
}
</script>
</body>
</html>
<?php
 $arrayProfileTime = System::getProfiling();
 System::saveFullProfiling(null, 'Report', 'LAPORAN CARA BAYAR IGD', 'Report', 'LAPORAN CARA BAYAR IGD', floatval($arrayProfileTime['profileTime']));
?>
<?php
 $arrayProfileTime = System::getProfiling();
 System::saveFullProfiling(null, 'Report', 'Laporan Stock', 'Report', 'Laporan Stock', floatval($arrayProfileTime['profileTime']));
?>
